Package org.apache.qpid.proton.codec.messaging

# Class FastPathDataType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathDataType

All Implemented Interfaces:
  `AMQPType<Data>`, `FastPathDescribedTypeConstructor<Data>`, `TypeConstructor<Data>`

public class FastPathDataType extends Object implements AMQPType<Data>, FastPathDescribedTypeConstructor<Data>

## Constructor Summary

Constructors
Constructor
Description
`FastPathDataType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<Data>>`
`getAllEncodings()`
`TypeEncoding<Data>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<Data>`
`getEncoding(Data val)`
`Class<Data>`
`getTypeClass()`
`Data`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(Data data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathDataType

public FastPathDataType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<Data>`

### getTypeClass

public Class<Data> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Data>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<Data>`

### getEncoding

public TypeEncoding<Data> getEncoding(Data val)

Specified by:
  `getEncoding` in interface `AMQPType<Data>`

### getCanonicalEncoding

public TypeEncoding<Data> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<Data>`

### getAllEncodings

public Collection<? extends TypeEncoding<Data>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<Data>`

### readValue

public Data readValue()

Specified by:
  `readValue` in interface `TypeConstructor<Data>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<Data>`

### write

public void write(Data data)

Specified by:
  `write` in interface `AMQPType<Data>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)